Bug 1412829 - [Backport] Extended Route Validation Breaks Included Templates
Summary: [Backport] Extended Route Validation Breaks Included Templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.3.1
Assignee: Ram Ranganathan
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 22:28 UTC by Ram Ranganathan
Modified: 2017-02-22 18:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the extended validation in the router was turned OFF by default. In addition, if extended validation was enabled - a route with an expired certificate would be marked as an extended validation failure. The router now admits routes with expired certificates. In addition, this backport beefs up the extended validation with changes made in 3.4 and 3.5 and also turns on extended validation by default.
Clone Of:
Environment:
Last Closed: 2017-02-22 18:10:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0289 normal SHIPPED_LIVE OpenShift Container Platform 3.4.1.7, 3.3.1.14, and 3.2.1.26 bug fix update 2017-02-22 23:10:04 UTC

Description Ram Ranganathan 2017-01-12 22:28:40 UTC
Backport fixes for bugz https://bugzilla.redhat.com/show_bug.cgi?id=1389165 to 3.3

Comment 2 Ram Ranganathan 2017-01-20 20:28:07 UTC
Not sure on the procedure for OSE/OCP - moving this bugz to modified as the PR has merged.
@zhaozhanqi was this tested? This is for release 3.3.1 - I saw your comments for the 3.2 backport. Thx

Comment 4 zhaozhanqi 2017-02-03 02:02:07 UTC
@ram

yes, I had tested this bug on openshift v3.3.1.11 with image haproxy(openshift3/ose-haproxy-router    v3.3.1.11           869735d3be98), this bug already fixed.

Move this bug to 'verified'

Comment 6 errata-xmlrpc 2017-02-22 18:10:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0289


Note You need to log in before you can comment on or make changes to this bug.